Subject: [manet] Hop count in OLSR

From: "Yann -EADS-" <[email-masked]>
Date: Mon, 04 Oct 2004 12:26:59 +0200

Hello,

I wonder if the 'hop count' field of the message header is used and for what 
purpose. I can't see in the RFC where this field is used.

For me, knowing that D is advertised by C, which is advertised by B, which 
is a neighbor is sufficient for A to deduce that D is 3 hops away.
A ------ B ------ C ------ D

Am I wrong ?

_________________________________________________________________
MSN Messenger  http://g.msn.fr/FR1001/866 : dialoguez en direct et 
gratuitement avec vos amis !

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: David Young <[email-masked]>
Date: Mon, 4 Oct 2004 12:05:29 -0500

On Mon, Oct 04, 2004 at 12:26:59PM +0200, Yann -EADS- wrote:
> Hello,
> 
> I wonder if the 'hop count' field of the message header is used and for 
> what purpose. I can't see in the RFC where this field is used.

A router may use both 'hop count' and 'hop limit' fields to detect
and discard packets that have been flooded too far or for too long.
The reason is redundancy: even if routers stop decreasing the 'hop limit'
field, or stop discarding packets with hop-limit <= 0, because of a
software defect, they may still increase the 'hop count', check it against
a maximum allowed value, and discard packets that exceed the maximum.
In this way, the network is still protected against flood-packet "storms"
in spite of a single router defect.

Dave

-- 
David Young             OJC Technologies
[email-masked]      Urbana, IL * (217) 278-3933